classification
Title: test_fdopen: close failed in file object destructor
Type: Stage: resolved
Components: Tests Versions: Python 2.7
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: ekrauss, iritkatriel
Priority: normal Keywords:

Created on 2011-02-02 16:41 by ekrauss, last changed 2021-04-25 22:57 by iritkatriel. This issue is now closed.

Files
File name Uploaded Description Edit
test_os_failure.txt ekrauss, 2011-02-02 16:41 verbose output from regrtest.py -v test_os
Messages (3)
msg127743 - (view) Author: Erik Krauss (ekrauss) Date: 2011-02-02 16:41
test_fdopen (in test_os) fails on Solaris 9/sparc with Python 2.7.1.

FAIL: test_fdopen (test.test_os.TestInvalidFD)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/p01/app/tenv6/mercator/tmp_pythonbuild/Python-2.7.1/Lib/test/test_os.py", line 550, in helper
    self.check(getattr(os, f))
  File "/p01/app/tenv6/mercator/tmp_pythonbuild/Python-2.7.1/Lib/test/test_os.py", line 562, in check
    % f)
AssertionError: <built-in function fdopen> didn't raise a OSError with a bad file descriptor
msg220817 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2014-06-17 12:42
I'm assuming that this is no longer an issue as we're now at Python 2.7.7 and Solaris 11.
msg391871 - (view) Author: Irit Katriel (iritkatriel) * (Python committer) Date: 2021-04-25 22:57
Closing since python 2.7 is no longer maintained. Please create a new issue if this is still an issue in 3.8+
History
Date User Action Args
2021-04-25 22:57:38iritkatrielsetstatus: open -> closed

nosy: + iritkatriel
messages: + msg391871

resolution: out of date
stage: resolved
2019-03-15 23:19:53BreamoreBoysetnosy: - BreamoreBoy
2014-06-17 12:42:23BreamoreBoysetnosy: + BreamoreBoy
messages: + msg220817
2011-02-02 16:41:58ekrausscreate